using GrapeCity.Documents.Pdf.Annotations;
using GrapeCity.Documents.Pdf;
using System.Drawing;
using System.IO;
using System;
using GrapeCity.Documents.Pdf.TextMap;
using GrapeCity.Documents.Pdf.Spec;
using System.Collections.Generic;

var doc = new GcPdfDocument();
doc.Load(new FileStream("Sample.pdf",FileMode.Open,FileAccess.ReadWrite));
var page = doc.Pages[0];
var searchRect = new RectangleF(0, 0, 400, 400);
var annotations = FindAnnotations(page, searchRect);
foreach(var annotation in annotations)
{
    Console.WriteLine(annotation.Contents);
}

List<AnnotationBase> FindAnnotations(Page page, RectangleF searchRect)
{
    var annotationList = new List<AnnotationBase>();
    foreach(var annotation in  page.Annotations)
    {
        var annoRect = annotation.Rect;
        if(searchRect.Contains(annoRect))
        {
            annotationList.Add(annotation);
        }
    }
    return annotationList;
}